summaryrefslogtreecommitdiffstats
path: root/source/d/cmake
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-12-31 21:33:54 +0000
committer Eric Hameleers <alien@slackware.com>2019-01-01 08:59:45 +0100
commit9b2263c35d22d77dc913ca980014efc8390305db (patch)
tree429725e1a1423cb829bd2f448d04a4ca371d2ce2 /source/d/cmake
parent8e734711287e3db171361903b19d2a758f325bfc (diff)
downloadcurrent-9b2263c35d22d77dc913ca980014efc8390305db.tar.gz
current-9b2263c35d22d77dc913ca980014efc8390305db.tar.xz
Mon Dec 31 21:33:54 UTC 201820181231213354
a/efibootmgr-17-x86_64-1.txz: Upgraded. a/efivar-37-x86_64-1.txz: Upgraded. d/cmake-3.13.2-x86_64-2.txz: Rebuilt. Work around build failures with recent doxygen. d/ruby-2.6.0-x86_64-1.txz: Upgraded. Shared library .so-version bump. d/subversion-1.11.0-x86_64-2.txz: Rebuilt. Recompiled against ruby-2.6.0. kde/korundum-4.14.3-x86_64-7.txz: Rebuilt. Recompiled against ruby-2.6.0. kde/qtruby-4.14.3-x86_64-9.txz: Rebuilt. Recompiled against ruby-2.6.0. l/gobject-introspection-1.58.3-x86_64-1.txz: Upgraded. l/imagemagick-6.9.10_22-x86_64-1.txz: Upgraded. l/libssh-0.8.6-x86_64-1.txz: Upgraded. n/epic5-2.0.1-x86_64-8.txz: Rebuilt. Recompiled against ruby-2.6.0. n/tin-2.4.3-x86_64-1.txz: Upgraded. n/wireless_tools-30.pre9-x86_64-1.txz: Upgraded. x/xterm-341-x86_64-2.txz: Rebuilt. Install xterm app-defaults that resemble the Linux console. Thanks to GazL.
Diffstat (limited to 'source/d/cmake')
-rwxr-xr-xsource/d/cmake/cmake.SlackBuild5
-rw-r--r--source/d/cmake/cmake.doxygen-1.8.15.diff16
2 files changed, 20 insertions, 1 deletions
diff --git a/source/d/cmake/cmake.SlackBuild b/source/d/cmake/cmake.SlackBuild
index b20759875..9036e4cf1 100755
--- a/source/d/cmake/cmake.SlackBuild
+++ b/source/d/cmake/cmake.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cmake
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -67,6 +67,9 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
+# Work around breakage with doxygen-1.8.15:
+zcat $CWD/cmake.doxygen-1.8.15.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/d/cmake/cmake.doxygen-1.8.15.diff b/source/d/cmake/cmake.doxygen-1.8.15.diff
new file mode 100644
index 000000000..ed73290a5
--- /dev/null
+++ b/source/d/cmake/cmake.doxygen-1.8.15.diff
@@ -0,0 +1,16 @@
+--- ./Modules/FindDoxygen.cmake.orig 2018-12-13 05:57:40.000000000 -0600
++++ ./Modules/FindDoxygen.cmake 2018-12-31 13:45:34.300895249 -0600
+@@ -708,8 +708,11 @@
+ if(_line MATCHES "([A-Z][A-Z0-9_]+)( *=)(.*)")
+ set(_key "${CMAKE_MATCH_1}")
+ set(_eql "${CMAKE_MATCH_2}")
+- string(REPLACE ";" "\\\n" _value "${CMAKE_MATCH_3}")
+- list(APPEND _Doxygen_tpl_params "${_key}${_eql}${_value}")
++ #string(REPLACE ";" "\\\n" _value "${CMAKE_MATCH_3}")
++ #list(APPEND _Doxygen_tpl_params "${_key}${_eql}${_value}")
++ string(REPLACE "\\" "\\\\" _value1 "${CMAKE_MATCH_3}")
++ string(REPLACE ";" "\\\n" _value2 "${_value1}")
++ list(APPEND _Doxygen_tpl_params "${_key}${_eql}${_value2}")
+ endif()
+ endforeach()
+